﻿using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PageDatasetBug
{
    public class DesignController : Controller
    {
        // GET: Design
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult GetReport()
        {
            // Create the report object and load data from xml file
            var report = ReportData.Report(StiNetCoreHelper.MapPath(this, "report.mrt"));
            return StiNetCoreDesigner.GetReportResult(this, report);
        }

        public IActionResult SaveReport()
        {
            var report = StiNetCoreDesigner.GetReportObject(this);
            report.Save(StiNetCoreHelper.MapPath(this, "report.mrt"));
            return StiNetCoreDesigner.SaveReportResult(this);
        }

        public IActionResult DesignerEvent()
        {
            return StiNetCoreDesigner.DesignerEventResult(this);
        }

        public IActionResult PreviewReport()
        {
            StiReport _report = StiNetCoreDesigner.GetReportObject(this);
            return StiNetCoreDesigner.PreviewReportResult(this, _report);
        }

        public IActionResult ExitDesigner()
        {
            return RedirectToAction("Index", "View");
        }

    }
}
