﻿using System;
using System.Data;
using System.IO;
using Stimulsoft.Report;
using Stimulsoft.Report.Components;

namespace PageDatasetBug
{
    public class ReportData
    {
        public static StiReport Report( string reportId )
        {
            StiReport _report = new StiReport();
            if (File.Exists(reportId))
            {
                _report.Load(reportId);
            }

            // bind data
            _report.RegData(dataSetGet());
            _report.Dictionary.Synchronize();


            return _report;
        }

        public static DataSet dataSetGet()
        {
            DataSet _ds = new DataSet("myDataset");
            DataTable _tbl = new DataTable("pageData");
            _tbl.Columns.Add(new DataColumn("rowId", typeof(int)));
            _tbl.Columns.Add(new DataColumn("rowGroup", typeof(string)));
            _tbl.Columns.Add(new DataColumn("rowText"));

            for (int _i = 0; _i < 80; _i++)
            {

                DataRow _row = _tbl.NewRow();
                _row[0] = _i;
                _row[1] = "RG " + ((_i / 30 + 1) * 1000 ).ToString();
                _row[2] = $"Data text \"{_i}\"";
                _tbl.Rows.Add(_row);
            }

            _ds.Tables.Add(_tbl);

            _tbl = new DataTable("pageSumData");
            _tbl.Columns.Add(new DataColumn("rowId", typeof(int)));
            _tbl.Columns.Add(new DataColumn("rowGroup", typeof(string)));
            _tbl.Columns.Add(new DataColumn("rowCost", typeof(string)));

            for (int _i = 0; _i < 80; _i++)
            {

                DataRow _row = _tbl.NewRow();
                _row[0] = _i;
                _row[1] = "RG " + ((_i / 30 + 1) * 1000).ToString();
                _row[2] = "CG " + (_i % 2 > 0 ? 2 : 1).ToString();
                _tbl.Rows.Add(_row);
            }

            _ds.Tables.Add(_tbl);
            return _ds;
        }
    }
}